Loading...
Searching...
No Matches
Halide::Internal::ScopedBinding< void > Struct Reference

`#include <Scope.h>`

## Public Member Functions

| ScopedBinding (Scope<> &s, const std::string &n)
| ScopedBinding (bool condition, Scope<> &s, const std::string &n)
| ~ScopedBinding ()
| ScopedBinding (const ScopedBinding &that)=delete
| ScopedBinding (ScopedBinding &&that) noexcept
void | operator= (const ScopedBinding &that)=delete
void | operator= (ScopedBinding &&that)=delete
bool | bound () const

## Public Attributes

Scope * | scope
Scope ::PushToken | token

## Detailed Description

Definition at line 365 of file Scope.h.

## Constructor & Destructor Documentation

## ScopedBinding() [1/4]

Halide::Internal::ScopedBinding< void >::ScopedBinding | ( | Scope<> & | s,
|  | const std::string & | n )

inline

Definition at line 368 of file Scope.h.

References scope, and token.

Referenced by operator=(), operator=(), ScopedBinding(), and ScopedBinding().

## ScopedBinding() [2/4]

Halide::Internal::ScopedBinding< void >::ScopedBinding | ( | bool | condition,
|  | Scope<> & | s,
|  | const std::string & | n )

inline

Definition at line 371 of file Scope.h.

References scope, and token.

## ~ScopedBinding()

Halide::Internal::ScopedBinding< void >::~ScopedBinding | ( |  | ) |

inline

Definition at line 375 of file Scope.h.

References scope, and token.

## ScopedBinding() [3/4]

Halide::Internal::ScopedBinding< void >::ScopedBinding | ( | const ScopedBinding< void > & | that | ) |

delete

References ScopedBinding().

## ScopedBinding() [4/4]

Halide::Internal::ScopedBinding< void >::ScopedBinding | ( | ScopedBinding< void > && | that | ) |

inline noexcept

Definition at line 383 of file Scope.h.

References ScopedBinding().

## Member Function Documentation

## operator=() [1/2]

void Halide::Internal::ScopedBinding< void >::operator= | ( | const ScopedBinding< void > & | that | ) |

delete

References ScopedBinding().

## operator=() [2/2]

void Halide::Internal::ScopedBinding< void >::operator= | ( | ScopedBinding< void > && | that | ) |

delete

References ScopedBinding().

## bound()

bool Halide::Internal::ScopedBinding< void >::bound | ( |  | ) | const

inline

Definition at line 341 of file Scope.h.

## Member Data Documentation

## scope

Scope* Halide::Internal::ScopedBinding< void >::scope

Definition at line 366 of file Scope.h.

Referenced by ScopedBinding(), ScopedBinding(), and ~ScopedBinding().

## token

Scope ::PushToken Halide::Internal::ScopedBinding< void >::token

Definition at line 367 of file Scope.h.

Referenced by ScopedBinding(), ScopedBinding(), and ~ScopedBinding().

The documentation for this struct was generated from the following file:

- src/Scope.h